package agent

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/agent"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /agent/list agent GetAgentList
//
// Get agent list | 获取Agent列表
//
// Get agent list | 获取Agent列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: AgentListReq
//
// Responses:
//  200: AgentListResp

func GetAgentListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.AgentListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := agent.NewGetAgentListLogic(r.Context(), svcCtx)
		resp, err := l.GetAgentList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
